<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.info.mapper.EElectricityCustomerMapper">

    <resultMap id="BaseResultMap" type="com.zksy.info.domain.EElectricityCustomer">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="contractCapacity" column="contract_capacity" jdbcType="INTEGER"/>
            <result property="firstPowerTime" column="first_power_time" jdbcType="DATE"/>
            <result property="electricityAccountStatus" column="electricity_account_status" jdbcType="VARCHAR"/>
            <result property="arrearsAmount" column="arrears_amount" jdbcType="DECIMAL"/>
            <result property="defaultTimesInTwoYears" column="default_times_in_two_years" jdbcType="INTEGER"/>
            <result property="electricityType" column="electricity_type" jdbcType="VARCHAR"/>
            <result property="province" column="province" jdbcType="VARCHAR"/>
            <result property="city" column="city" jdbcType="VARCHAR"/>
            <result property="valueLevel" column="value_level" jdbcType="VARCHAR"/>
            <result property="riskLevel" column="risk_level" jdbcType="VARCHAR"/>
            <result property="avgElectricityAmountLast3Months" column="avg_electricity_amount_last_3_months" jdbcType="DECIMAL"/>
            <result property="avgElectricityAmountLast6Months" column="avg_electricity_amount_last_6_months" jdbcType="DECIMAL"/>
            <result property="avgElectricityAmountLastYear" column="avg_electricity_amount_last_year" jdbcType="DECIMAL"/>
            <result property="isArrearsNow" column="is_arrears_now" jdbcType="VARCHAR"/>
            <result property="statisticsTime" column="statistics_time" jdbcType="DATE"/>
            <result property="statisticsBaselineDate" column="statistics_baseline_date" jdbcType="DATE"/>
            <result property="remarks" column="remarks" jdbcType="VARCHAR"/>
            <result property="administrativeRegionCode" column="administrative_region_code" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,contract_capacity,first_power_time,
        electricity_account_status,arrears_amount,default_times_in_two_years,
        electricity_type,province,city,
        value_level,risk_level,avg_electricity_amount_last_3_months,
        avg_electricity_amount_last_6_months,avg_electricity_amount_last_year,is_arrears_now,
        statistics_time,statistics_baseline_date,remarks,
        administrative_region_code,create_time
    </sql>
</mapper>
